Subject: Re: [PATCH] object-file: disallow adding submodules of different hash algo

From: "brian m. carlson" <[email-masked]>
Date: Fri, 14 Nov 2025 23:26:15 +0000

On 2025-11-13 at 16:29:00, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > So this is what I'd propose on top of your patch. I can hold onto it for
> > later if we don't want to muddy up what you're trying to do.
> 
> I do agree with both of the above.  The patch below makes perfect
> sense to me, and it is more about the quality of implementation of
> this codepath in general, than the primary theme of Brian's changes,
> so there is no strong reason they have to come in a single series.

That's certainly true, but it still applies cleanly on top of my revised
patch and I'll just include it in v2.  I'm running tests now and should
send out the series later tonight.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA